<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/GridCommandListItem.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GridCommandListItem.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GridCommandListItem_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;Rectangle</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classGridCommandListItem.html#a2dfc1153864b14782da6bba6753ea0a8">   14</a></span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classGridCommandListItem.html#a2a7670f43764b8e1c60ee9688780a150">   16</a></span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> itemName</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">string</span> border_color<span class="comment">//: style.getBorderColor()</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"></span>    <span class="keyword">property</span> <span class="keywordtype">string</span> text_color</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">property</span> Gradient backgroundGrad</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">int</span> _radius: 4</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    color: <span class="stringliteral">&quot;transparent&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    Rectangle</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        gradient: backgroundGrad</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        border.width: 0</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        border.color: border_color</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        radius: _radius</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        opacity: 0.1</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    }</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    Text {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        anchors.fill:parent</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        anchors.margins: 5</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        width:parent.width</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        height: parent.height</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        text: itemName</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        wrapMode: Text.WrapAnywhere</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        font.pointSize: 12</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        color: text_color</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        horizontalAlignment: Text.AlignLeft</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        verticalAlignment: Text.AlignVCenter</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        elide: Text.ElideRight</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    }</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;}</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassGridCommandListItem_html"><div class="ttname"><a href="classGridCommandListItem.html">GridCommandListItem</a></div><div class="ttdoc">Полоска текста с закругленным фоном</div><div class="ttdef"><b>Definition:</b> <a href="GridCommandListItem_8qml_source.html#l00011">GridCommandListItem.qml:11</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
